modifier_bosses_random_move_effect = class({})

local public = modifier_bosses_random_move_effect

local m_modifier_funcs=
{
	MODIFIER_PROPERTY_MOVESPEED_BONUS_PERCENTAGE,
}

function public:IsHidden()
	return false
end

function public:IsDebuff()
	return false
end

function public:IsPurgable()
	return false
end

function public:DeclareFunctions()
	return m_modifier_funcs
end

function public:GetModifierMoveSpeedBonus_Percentage()
	return 25
end

function public:GetTexture()
	return "random_boss_buff_move_speed"
end